#ifndef __WE_IFACE_H
#define __WE_IFACE_H

#include <dcopobject.h>
//#include <sys/types.h>
class weatherIface : virtual public DCOPObject
{
	K_DCOP
public:

	k_dcop:
	/** Return the current Temperature **/
	virtual QString get_temperature() = 0;
	/** Cause KWeather to refrsh it's data **/
	virtual void refresh() = 0;
	/** Return the current Pressure **/
	virtual QString get_pressure() = 0;
	/** Return the current Wind information **/
	virtual QString get_wind() = 0;
	/** Return the current weather information **/
	virtual QString get_weather() = 0;
	virtual void parseWeather(QString, bool) = 0;
};

#endif
